%define upstream_name    List-SomeUtils
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pure Perl implementation for List::SomeUtils
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::SomeUtils::XS) >= 0.540.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Implementation)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Tie::Array)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*List::SomeUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into the List::Util manpage.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.580.0-2.mga8
+ Revision: 1537241
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 0.580.0-1.mga8
+ Revision: 1456179
- update to 0.58

* Thu Sep 20 2018 umeabot <umeabot> 0.560.0-2.mga7
+ Revision: 1284505
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.560.0-1.mga7
+ Revision: 1131855
- New version 0.56

* Sun May 08 2016 shlomif <shlomif> 0.520.0-1.mga6
+ Revision: 1010887
- New version 0.52

* Thu Apr 28 2016 shlomif <shlomif> 0.510.0-1.mga6
+ Revision: 1007430
- Missing BR
- Importing from cpan2dist


* Thu Apr 28 2016 cpan2dist 0.51-1mga
- initial mageia release, generated with cpan2dist
